/**
 * XActMoodDefEvn.java
 *
 * File generated from the medication::XActMoodDefEvn uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDefEvn.
 *
 * 
 */

@XmlType(name = "XActMoodDefEvn")
@XmlEnum
@XmlRootElement(name = "XActMoodDefEvn")
public enum XActMoodDefEvn {
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN");
	
	private final String value;

    XActMoodDefEvn(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodDefEvn fromValue(String v) {
        for (XActMoodDefEvn c: XActMoodDefEvn.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}